Skip to main content
POST
/
{alias}
/
logistics
/
carriers
/
{carrierId}
/
prices
Criar preço para uma transportadora
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "id": 123,
  "carrier_id": 123,
  "description": "<string>",
  "zipcode_min": 123,
  "zipcode_max": 123,
  "min_weight": 123,
  "max_weight": 123,
  "price": 123,
  "extra_weight_price": 123,
  "delivery_days": 123,
  "increment_percent": 123
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices"

payload = {
"id": 123,
"carrier_id": 123,
"description": "<string>",
"zipcode_min": 123,
"zipcode_max": 123,
"min_weight": 123,
"max_weight": 123,
"price": 123,
"extra_weight_price": 123,
"delivery_days": 123,
"increment_percent": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 123,
carrier_id: 123,
description: '<string>',
zipcode_min: 123,
zipcode_max: 123,
min_weight: 123,
max_weight: 123,
price: 123,
extra_weight_price: 123,
delivery_days: 123,
increment_percent: 123
})
};

fetch('https://api.dooki.com.br/v2/{alias}/logistics/carriers/{carrierId}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "carrier_id": 123,
  "description": "<string>",
  "zipcode_min": 123,
  "zipcode_max": 123,
  "min_weight": 123,
  "max_weight": 123,
  "price": 123,
  "extra_weight_price": 123,
  "delivery_days": 123,
  "increment_percent": 123
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

carrierId
integer
required

ID da transportadora

Body

application/json

Representa os dados necessários para criar ou atualizar um preço de transportadora

id
integer
required
carrier_id
integer
required
description
string
required
zipcode_min
integer
required
zipcode_max
integer
required
min_weight
number<float>
required
max_weight
number<float>
required
price
number<float>
required
extra_weight_price
number<float>
required
delivery_days
integer
required
increment_percent
number<float>

Response

Preço criado com sucesso

id
integer
carrier_id
integer
description
string
zipcode_min
integer
zipcode_max
integer
min_weight
number<float>
max_weight
number<float>
price
number<float>
extra_weight_price
number<float>
delivery_days
integer
increment_percent
number<float>